%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [A, F]=assemble(T)
%fonction qui assemble la matrice et le second membre
%de la discrtisation par EF P1 Lagrange du problme
%du Laplacien
%
% ENTREE : T-> le maillage
% SORTIE : A-> la matrice
%          F-> le second membre
%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [A, F]=assemble(T)
[l2g, nbloc, nbdof , doflab, coord] = builddof(T,1);
[nt,dim]=size(T.Triangles);
%Allocation de l'espace memoire
msize = nbdof;
A(1:msize,1:msize)=0;
F(1:msize,1)=0;
% assemblage
for k=1:1:nt
    %coordonnes des sommets du triangle k
    Xk = T.Vertices(T.Triangles(k,1:3),1:2);
    % matrice lmentaire grad-grad 
    [Ak] = matelementaire(Xk);
    %second membre lmentaire 
    [Fk] = secondelementaire(Xk);
    %assemblage dans la matrice globale
    F(l2g(k,1:nbloc)) = F(l2g(k,1:nbloc)) + Fk(1:nbloc);
    A(l2g(k,1:nbloc),l2g(k,1:nbloc)) = A(l2g(k,1:nbloc),l2g(k,1:nbloc)) + Ak(1:nbloc,1:nbloc);
end
