%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function [A,F] = conditionLimite(T, A, F, LabelFrontiere)
%% Cette fonction introduit les condition aux limites
%% pour le problème du Laplacien
%%
%% ENTREE  : 
%%           T : maillage
%%           A : matrice
%%           F : second membre
%%           LabelFrontiere: Label de la frontière
%% DONNEES IMPLICITES : g fonction de dirichlet
%%
%% SORTIE :  matrice globale    
%%           secondmembre globale
%%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [A,F] = conditionLimite(T, A, F, LabelFrontiere)

[l2g, nbloc, nbdof , doflab, coord] = builddof(T, 1);

tgv = 1e30;
indlist = find(doflab==LabelFrontiere);
if(length(indlist) >= 1)
  for l=1:1:length(indlist)
    F(indlist(l)) = tgv * g(coord(indlist(l),1),coord(indlist(l),2));
    A(indlist(l),indlist(l)) = tgv;
    end
end