%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%function T=lectureMaillage(meshfilename)
%% fonction qui lit le maillage fourni au format .msh de EMC2 
%%
%% ENTREE  : meshfilename -> le nom du fichier maillage 
%%
%% SORTIE  :  maillage sous forme de structure 
%%       Vertices : tableau  nv x 2 des coordonnes des sommets   
%%       Vlabel   : tableau  nv x 1 des labels des sommets
%%       Triangles: tableau  nt x 3 des numeros des sommets des triangles
%%       Tlabel   : tableau  nt x 1 des labels des triangles
%%       Edges    : tableau  ne x 2 des numeros des sommets des aretes frontires
%%       Elabel   : tableau  ne x 1 des labels des aretes frontires 
%%
%%   COURS D'ELEMENTS FINIS
%%   M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%%
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function T=lectureMaillage(meshfilename)

T=[];% on le vide

fid = fopen(meshfilename,'r');
[dum,n]=fscanf(fid,'%d%d%d',[3,1]);
nv = dum(1); nt = dum(2); nbe =dum(3);
T.nv=nv; T.nt=nt; T.nbe=nbe;
[dum,n]=fscanf(fid,'%f%f%d',[3 nv]);
dum =dum';
T.Vertices = dum(:,1:2);
T.Vlabel = dum(:,3);
[dum,n]=fscanf(fid,'%d%d%d%d',[4 nt]);
dum =dum';
T.Triangles = dum(:,1:3);
T.Tlabel = dum(:,4);
[dum,n]=fscanf(fid,'%d%d%d',[3 nbe]);
dum =dum';
T.Edges = dum(:,1:2);
T.Elabel = dum(:,3);
fclose(fid);
% renumbering is left to the main program
%T=meshrenum(T);
T = buildedges(T);
