%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%fonction function [Ak] = matelementaire(X)
%%fonction qui contruit la matrice élémentaire : \int_T \nabla u\cdot \nabla v 
%%
%% ENTREE : X coordonées des sommets du triangle
%%
%% SORTIE : matrice Ak locale de taille 3 x 3 
%%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Ak] = matelementaire(X)
Ak= zeros(3,3);
[PhQ, dxPhQ, dyPhQ, weight,XYQ] = basis_and_deriv_on_quad(X,1,1);
nq=length(weight);
for l = 1:nq
  %Ph = PhQ(l,:) ; % les fonctions de base au point de quadrature numero l
  DxPh = dxPhQ(l,:); %dérivée par rapport à x des fonctions de base au point de quadrature numero l 
  DyPh = dyPhQ(l,:);%dérivée par rapport à y des fonctions de base au point de quadrature  
  wl = weight(l);
  Ak = Ak + wl *( DxPh'*DxPh + DyPh'*DyPh);
end